
package it.posteitaliane.pec.archiver.wsclient.rapportodiversamento;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.1.3-b02-
 * Generated source version: 2.1
 * 
 */
@WebService(name = "PosteDocWS", targetNamespace = "urn:postecom")
@XmlSeeAlso({
    ObjectFactory.class
})
public interface PosteDocWS {


    /**
     * 
     * @param idLotto
     * @return
     *     returns java.lang.String
     * @throws PosteDocException_Exception
     */
    @WebMethod
    @WebResult(name = "getRapportoDiVersamentoReturn", targetNamespace = "urn:postecom")
    @RequestWrapper(localName = "getRapportoDiVersamento", targetNamespace = "urn:postecom", className = "it.posteitaliane.pec.archiver.wsclient.rapportodiversamento.GetRapportoDiVersamento")
    @ResponseWrapper(localName = "getRapportoDiVersamentoResponse", targetNamespace = "urn:postecom", className = "it.posteitaliane.pec.archiver.wsclient.rapportodiversamento.GetRapportoDiVersamentoResponse")
    public String getRapportoDiVersamento(
        @WebParam(name = "idLotto", targetNamespace = "urn:postecom")
        int idLotto)
        throws PosteDocException_Exception
    ;

}
